Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.bootstrap
Class AbstractKernelInitializer

    java.lang.Object
      org.jboss.kernel.plugins.bootstrap.AbstractKernelInitializer

All Implemented Interfaces:
  KernelInitializer

Direct Known Subclasses:
  BasicKernelInitializer

public abstract class AbstractKernelInitializer
extends Object
implements KernelInitializer

Abstract kernel factory.

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock

Field Summary
`protected org.jboss.logging.Logger` | `log` The log
`protected boolean` | `trace` Whether trace is enabled

Constructor Summary
`AbstractKernelInitializer()` Create a new abstract kernel factory

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.kernel.spi.bootstrap.KernelInitializer
`initKernel`

Field Detail

### log

    protected org.jboss.logging.Logger log

  The log

### trace

    protected boolean trace

  Whether trace is enabled

Constructor Detail

### AbstractKernelInitializer

    public AbstractKernelInitializer()
                              throws Exception

  Create a new abstract kernel factory

Throws:
  `Exception` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.